NSX-T Data Center REST API

Get result for the specified manual health check ID

Get the manual health check result with the specified ID.

Request:

Method:
GET
URI Path(s):
/policy/api/v1/infra/manual-health-checks/{manual-health-check-id}/result
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
n/a

Example Request:

GET https://<nsx-mgr>/policy/api/v1/infra/manual-health-checks/mhctest/result

Successful Response:

Response Code:
200 OK
Response Headers:
Content-type: application/json
Response Body:
PolicyManualHealthCheckResult+

Example Response:

{ "operation_status": "FINISHED", "result": { "vlan_mtu_status": "UNTRUNKED", "transport_node_results": [ { "transport_node_path": "/infra/sites/default/enforcement-points/default/host-transport-nodes/192-164-128-2-4266fc86-26e7-434c-986c-5c35b5bcbe35host-26", "transport_node_name": "192.164.128.2", "result_status": "FINISHED", "result_on_host_switch": { "host_switch_name": "vds_1", "results_per_uplink": [ { "uplink_name": "uplink1", "vlan_and_mtu_allowed": [ { "start": 0, "end": 0 }, { "start": 101, "end": 102 } ], "mtu_disallowed": [], "vlan_disallowed": [ { "start": 1, "end": 100 }, { "start": 103, "end": 4094 } ], "vlan_allowed": [ { "start": 0, "end": 0 }, { "start": 101, "end": 102 } ] }, { "uplink_name": "uplink2", "vlan_and_mtu_allowed": [ { "start": 0, "end": 0 }, { "start": 101, "end": 102 } ], "mtu_disallowed": [], "vlan_disallowed": [ { "start": 1, "end": 100 }, { "start": 103, "end": 4094 } ], "vlan_allowed": [ { "start": 0, "end": 0 }, { "start": 101, "end": 102 } ] } ], "vlan_mtu_status": "UNTRUNKED", "updated_time": 1764143655892 } }, { "transport_node_path": "/infra/sites/default/enforcement-points/default/host-transport-nodes/192-164-128-64-4266fc86-26e7-434c-986c-5c35b5bcbe35host-14", "transport_node_name": "192.164.128.64", "result_status": "FINISHED", "result_on_host_switch": { "host_switch_name": "vds_1", "results_per_uplink": [ { "uplink_name": "uplink1", "vlan_and_mtu_allowed": [ { "start": 0, "end": 0 }, { "start": 101, "end": 102 } ], "mtu_disallowed": [], "vlan_disallowed": [ { "start": 1, "end": 100 }, { "start": 103, "end": 4094 } ], "vlan_allowed": [ { "start": 0, "end": 0 }, { "start": 101, "end": 102 } ] }, { "uplink_name": "uplink2", "vlan_and_mtu_allowed": [ { "start": 0, "end": 0 }, { "start": 101, "end": 102 } ], "mtu_disallowed": [], "vlan_disallowed": [ { "start": 1, "end": 100 }, { "start": 103, "end": 4094 } ], "vlan_allowed": [ { "start": 0, "end": 0 }, { "start": 101, "end": 102 } ] } ], "vlan_mtu_status": "UNTRUNKED", "updated_time": 1764143655970 } } ], "updated_time": 1764143656021 }, "resource_type": "PolicyManualHealthCheckResult", "marked_for_delete": false, "overridden": false, "transport_zone_path": "/infra/sites/default/enforcement-points/default/transport-zones/overlay-tz", "vlans": { "vlan_ranges": [ { "start": 0, "end": 4094 } ] }, "is_transient": true, "_protection": "NOT_PROTECTED" }

Required Permissions:

read

Feature:

policy_ops

Additional Errors: